Subject: Re: linux-next: build failure after merge of the squashfs tree

From: Phillip Lougher <[email-masked]>
Date: Fri, 01 Nov 2013 04:09:05 +0000

On 01/11/13 03:06, Phillip Lougher wrote:
> On 01/11/13 00:57, Stephen Rothwell wrote:
>> Hi Phillip,
>>
>> After merging the squashfs tree, today's linux-next build (powerpc
>> ppc64_defconfig) failed like this:
>>
>> fs/squashfs/decompressor_single.c: In function 'squashfs_decompressor_create':
>> fs/squashfs/decompressor_single.c:40:2: error: implicit declaration of function 'free' [-Werror=implicit-function-declaration]
>>    free(comp_opts);
>>    ^
>
> Yup, applied and pushed the wrong patch.
>
> I noticed shortly afterwards, and pushed the correct patch, but you
> obviously had already done your pull.
>
> Squashfs: Refactor decompressor interface and code
> committer Phillip Lougher <[email-masked]> 2013-10-31 23:06:37 (GMT)
>
> These things happen when you rush to get the patches ready for the linux-next
> tree.
>
> Squashfs is spare-time work for me, which means I often have no choice to
> work on it during the night.  Previously when pushing such work for the
> linux-next tree I notice it never gets picked up until the next day, because
> a push at 4 AM is simply too late to get it into the linux-next tree for that
> day because you're in Australia.
>
> So I work out you pull around 11 PM GMT my time, and rush to get the patches
> ready for then.  Screw up and this time around the process is even more
> thankless and humiliating than normal.
>
> Why don't you holier than thou guys get off your pedestals sometime and
> see what it's like for the hobbyists who don't get paid to do the work.
>
> Yeah maybe I'm getting to the point where I considering stopping doing
> this, because it has become utterly thankless.

Apologies.  I was annoyed at myself and let my frustration show.

Phillip

>
> Cheers
>
> Phillip
>
>
>> fs/squashfs/decompressor_single.c:40:2: warning: incompatible implicit declaration of built-in function 'free' [enabled by default]
>>
>> Caused by commit 99d59ddb8a06 ("Squashfs: Refactor decompressor interface
>> and code").
>>
>> I have used the squashfs tree from next-20131031 for today.
>>
>